<div class="card mt-2 {% if group %}app-group-edit-form-card app-group-edit-form-card-{{ group.id }}{% else %}app-group-form-card{% endif %}">
  <div class="card-body">
    <form class="app-group-form" {% if group %}action="/group/edit/{% if application %}{{ application.identifier }}/{% endif %}{{ group.id }}/"{% else %}action="/group/create/{% if application %}{{ application.identifier }}/{% endif %}"{% endif %} method="post">
      <h5 class="mb-3">{% if group %}Edit group '{{ group.name }}'{% else %}Create a group{% endif %}</h5>
      {% if application %}
        {% if not group %}
          <div class="mb-2">Add existing groups to this app:</div>
          <button type="button" class="btn btn-sm btn-dark mb-2" data-bs-toggle="modal" data-bs-target="#addGroupsToAppModal-{{ application.identifier }}">
            Add existing groups
          </button>
        {% endif %}
      {% endif %}
      {% csrf_token %}
      <div class="mb-3">
        <label class="form-label">Name (required):</label>
        <input type="text" class="form-control group-name-field" name="name" data-name="{% if group %}{{ group.name }}{% endif %}" {% if group %}value="{{ group.name }}"{% endif %} maxlength="200" placeholder="What is this group called? (200 characters max)" required>
      </div>
      <div class="form-check mb-3">
        <input class="form-check-input is-everyone-checkbox" name="is_everyone" type="checkbox" {% if group %}{% if group.is_everyone %}checked{% endif %}{% endif %}>
        <label class="form-check-label">
          Include any authenticated user
        </label>
        <div class="form-text">Check this box if you want any authenticated user to be in this group</div>
      </div>
      <div class="mb-3">
        <label class="form-label">Add members:</label>
        <div class="input-tag-field">
          <input class="form-control" type="text" placeholder="Type in an user email, then click 'Add'"></input>
          <div type="button" class="btn btn-primary disabled">Add</div>
        </div>
        <div class="input-tag-container">
          {% if group %}
            {% for user in group.get_users %}
              <div class="input-tag mt-1"><span class="input-tag-content">{{ user }}</span> <span class="input-tag-close">&#10005;</span></div>
            {% endfor %}
          {% endif %}
        </div>
        <input name="users" {% if group %}{% if group.users %}value="{{ group.users }}"{% endif %}{% endif %} class="input-tag-hidden-input d-none" type="text">
        <div class="form-text">Specify member emails of this group</div>
      </div>

      <div class="mb-3">
        <label class="form-label">Applications:</label>
        <select class="form-control group-app-field" name="application" multiple>
          {% for application_option in owned_applications %}
            <option value="{{ application_option.identifier }}" data-groups="{{ application_option.group_names }}" {% if application_option in group.application.all %}selected{% elif application.identifier == application_option.identifier %}selected{% endif %}>{{ application_option.descriptive_name }}</option>
          {% endfor %}
          {% for application_option in editor_applications %}
            <option value="{{ application_option.identifier }}" data-groups="{{ application_option.group_names }}" {% if application_option in group.application.all %}selected{% elif application.identifier == application_option.identifier %}selected{% endif %}>{{ application_option.descriptive_name }}</option>
          {% endfor %}
        </select>
        <div class="form-text">This group is shared among the applications selected above. Changes to this group is reflected on all of the selected applications.</div>
      </div>

      <button type="submit" class="btn btn-primary btn-sm">Submit</button>
      <div class="btn btn-danger btn-sm {% if group %}app-group-edit-form-cancel-btn{% else %}app-group-form-cancel-btn{% endif %}">Cancel</div>
    </form>
  </div>
</div>
